禁用 WordPress 5.8 区块小工具及区块编辑器

建站记录 如风 3个月前 (03-01) 534次浏览 0个评论
🗣此文最近更新于 2022-03-14 星期一,留意哦!👇

WordPress 5.8 正式版预计7月20日发布,目前为Beta 4,WordPress 5.8除了不支持IE,最大的改变就是小工具支持可视化区块编辑模式,如图:文章感觉与第一次看到Gutenberg区块编辑器一样,有点手足无措,崩溃中….

如果不适应这个小工具编辑模式,WP官方提供了两个解决方案:

方案一, 安装Classic Widgets(经典小工具)插件,看名字是不是有些熟习,和Classic Editor(经典编辑器)插件一样,安装这个插件即可恢复之前的小工具编辑模式。

目前插件只有5个评论,都说这个插件好,说明什么呢?只能说明对这个新编辑器都无法适应。

插件中也只是通过两行代码禁用新编辑器:

//禁用Gutenberg(古腾堡) 编辑器 方法一
add_filter(‘use_block_editor_for_post’, ‘__return_false’);
remove_action( ‘wp_enqueue_scripts’, ‘wp_common_block_scripts_and_styles’ );//禁止前端加载样式文件。
//禁用 WordPress 5.8 小工具区块编辑模式
add_filter( ‘gutenberg_use_widgets_block_editor’, ‘__return_false’ );
add_filter( ‘use_widgets_block_editor’, ‘__return_false’ );

不过在主题中禁用新编辑器,官方建议用方案二

方案二, 将下面代码添加到当前主题函数模板functions.php中,即可禁用新的小工具区块编辑器。

//禁用 WordPress 5.8 小工具区块编辑模式 方法二
function example_theme_support() {
remove_theme_support( ‘widgets-block-editor’ );
}
add_action( ‘after_setup_theme’, ‘example_theme_support’ );

本人基本从不用区块编辑器,写个网文,不需要这么强大的编辑功能。虽然花了大量的时间学习制作这个区块,但目前开发的主题并没有集成区块功能,因主题开发之初,并没有这个编辑器,将主题大量短代码实现的功能,改为区块无法完美兼容之前的排版,WP开发人员一意孤行,区块编辑器也必将是趋势,以后开发主题也尽量遵循这个趋势。

至于WordPress 5.8还更新了什么功能,还是那句持续几个版本的更新内容

不断完善区块编辑器,同时修改程序兼容之,其它没有了。

暂时发现更新的一个小细节还是很方便,之前编辑菜单时,只能逐个删除菜单项,这次新增批量选择功能,但只能批量删除,不能批量移动。

小工具支持区块,确实很好,可以在小工具中添加任何现有区块,包括众多区块插件添加的区块,可以实现很多功能,但样式无法完美兼容主题,实用性就是个问题了。

看官方更新说明,WP官方默认主题都无法兼容新的小工具编辑器,估计大部分主题也无法兼容,也包括我的,前端显示样式有问题。

至于经典编辑器,官方一直说会坚持到2022年,到时希望两种编辑器能共存,给用户一个选择的机会,不然相信会失去很多用户…

文章源自知更鸟-https://zmingcx.com/wordpress-5-8-widget-supports-gutenberg.html

喜欢 (0)
发表我的评论
取消评论

表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址